Package com.sun.jna.platform.win32

# Class WinNT.PSID

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.PSID

Direct Known Subclasses:
  `WinNT.PSID.ByReference`

Enclosing interface:
  WinNT

@FieldOrder("sid") public static class WinNT.PSID extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinNT.PSID.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Pointer`
  `sid`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PSID()`
  `PSID(byte[] data)`
  `PSID(int size)`
  `PSID(Pointer memory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getBytes()`
  `String`
  `getSidString()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### sid

    public Pointer sid

- ## Constructor Details

  - ### PSID

    public PSID()

  - ### PSID

    public PSID(byte[] data)

  - ### PSID

    public PSID(int size)

  - ### PSID

    public PSID(Pointer memory)

- ## Method Details

  - ### getBytes

    public byte[] getBytes()

  - ### getSidString

    public String getSidString()